<?php
/*
Plugin Name: Horoscop
Plugin URI: http://wordpress.org/extend/plugins/horoscop/
Description: Instalează acest plugin interactiv pe site-ul tău şi surprinde-ţi vizitatorii cu informaţii fresh. Acesta este instrumentul potrivit de care ai nevoie. Mergi în meniul cu widget-uri şi aşează Horoscopul pe poziţia dorită în sidebar.
Version: 2.1.8
Author: Vlăduţ ILIE
Author URI: http://vladilie.ro/
License: GPL2
*/
/* Copyright 2012-2014 Vlăduţ ILIE (email: vladilie94@gmail.com)

	Preluarea informaţiilor de către acest plugin, se face cu permisiunea editorului Dana Mîndru de la www.acvaria.com,
	acord acceptat, în scris, în data de 20 august 2012.
	
	Orice fel de acţiune efectuată asupra informaţiilor preluate de către acest plugin, încalcă în mod direct
	legea privind drepturile de autor cu referire la siteul www.acvaria.com.
	
	Acvaria (R) este marcă înregistrată a firmei Acvaria.
	Este interzisă reproducerea integrală sau parţiala a textelor conţinute în www.acvaria.com fără acordul autorului.
*/
defined( 'ABSPATH' ) || exit;
date_default_timezone_set( 'Europe/Bucharest' );
define( 'INTERVAL_OF_CACHE', 21600 ); # < = > 6 hours (60*60*6 seconds).
define( 'IMAGES_HOROSCOPE_DIR', plugin_dir_url( __FILE__ ) . 'images/' );
require_once( 'includes/class-horoscope.php' );

register_activation_hook( __FILE__, 'init_horoscope_settings' );
register_deactivation_hook( __FILE__, 'remove_horoscope_settings' );

make_horoscope_cache();

add_action( 'widgets_init', create_function( '', 'register_widget( "Horoscope" );' ) );

wp_enqueue_script( 'Horoscope-jQuery-Google', 'http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js', array(), '1.11.1', false );
wp_enqueue_style( 'Horoscope-Stylesheet', plugin_dir_url( __FILE__ ) . 'includes/style.css', array(), '1.0.0', 'all' );
?>